Calculate the sha1 hash of a string

- « sha1_file

- similar_text »

- PHP Manual
- String Functions
- Calculate the sha1 hash of a string

# sha1

(PHP 4 >= 4.3.0, PHP 5, PHP 7, PHP 8)

sha1 — Calculate the sha1 hash of a string

Warning

It is not recommended to use this function to secure passwords, due to the fast nature of this hashing algorithm. See the Password Hashing FAQ for details and best practices.

### Description

sha1(string `$string`, bool `$binary` = `false`): string

Calculates the sha1 hash of `string` using the » US Secure Hash Algorithm 1.

### Parameters

`string`

  The input string.

`binary`

  If the optional `binary` is set to `true`, then the sha1 digest is instead returned in raw binary format with a length of 20, otherwise the returned value is a 40-character hexadecimal number.

### Return Values

Returns the sha1 hash as a string.

### Examples

Example #1 A sha1() example

    <?php$str = 'apple';if (sha1($str) === 'd0be2dc421be4fcd0172e5afceea3970e2f3d940') {    echo "Would you like a green or red apple?";}?>

### See Also

- sha1_file() - Calculate the sha1 hash of a file
- crc32() - Calculates the crc32 polynomial of a string
- md5() - Calculate the md5 hash of a string
- hash() - Generate a hash value (message digest)
- crypt() - One-way string hashing
- password_hash() - Creates a password hash